Bug 221015 - Review Request: ksplash-engine-moodin - Moodin is a splash engine for KDE Desktop
Review Request: ksplash-engine-moodin - Moodin is a splash engine for KDE Des...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Package Reviews List
:
: 221016 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-30 07:01 EST by Johan Cwiklinski
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-01 17:21:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
chitlesh: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Johan Cwiklinski 2006-12-30 07:01:42 EST
Spec URL: http://odysseus.x-tnd.be/fedora/moodin/ksplash-engine-moodin.spec
SRPM URL: http://odysseus.x-tnd.be/fedora/moodin/ksplash-engine-moodin-0.4.2-0.2.fc6.src.rpm
Description: Moodin is a splash engine for KDE Desktop
Comment 1 Chitlesh GOORAH 2006-12-30 07:06:39 EST
*** Bug 221016 has been marked as a duplicate of this bug. ***
Comment 2 Johan Cwiklinski 2006-12-30 07:18:36 EST
(In reply to comment #0)
SRPM URL:
http://odysseus.x-tnd.be/fedora/moodin/ksplash-engine-moodin-0.4.2-1.fc6.src.rpm

Changed release from 0.2 to 1
Comment 3 Rafał Psota 2006-12-30 18:00:44 EST
This is not an official review, I'm looking for a sponsor.

I think you should use %{name} and %{version} macros in Source0.

* rpmlint is silent for RPM & SRPM
* source files match upstream
* specfile is properly named
* BuildRequires listed well (mock builds successfully on FC6 i386)
* latest version is being packaged
* license field matches the actual license (included in %doc)
Comment 4 Remi Collet 2006-12-31 03:52:57 EST
Can't do an official Review as i can't sponsor you.

MUST :
- The .la libtool archives must be removed in the spec.
- The %{name}.desktop file  must be properly installed with desktop-file-install
in the %install section, see
http://fedoraproject.org/wiki/Packaging/Guidelines#desktop

Comment 5 Chitlesh GOORAH 2007-01-06 17:26:31 EST
(In reply to comment #4)
> - The %{name}.desktop file  must be properly installed with desktop-file-install
> in the %install section, see
> http://fedoraproject.org/wiki/Packaging/Guidelines#desktop

In this case, the desktop file on the kmenu can be neglected since the desktop
coming with the package is for kcontrol and not for kmenu.

However kdmtheme will be following that direction for its next update.

Fedora's default Kmenu is by far too huge and crowded, let's not dump anything
onto it. My mom will be confused having her kmenu on her fedora that huge.
Comment 6 Rex Dieter 2007-01-06 18:22:22 EST
In this case, in agreement with Chitlesh, the items from comment #4 are
inaccurate.  See also 
http://fedoraproject.org/wiki/PackagingDrafts/LibtoolArchives
for when it is appropriate (imo, not official, yet, mind you) to remove .la files.
Comment 7 Chitlesh GOORAH 2007-01-06 19:20:33 EST
(In reply to comment #6)
> In this case, in agreement with Chitlesh, the items from comment #4 are
> inaccurate.  See also 
> http://fedoraproject.org/wiki/PackagingDrafts/LibtoolArchives
> for when it is appropriate (imo, not official, yet, mind you) to remove .la files.

Well again that FE guideline as well may not apply here.

withOUT the .la file, I have this:
http://www.flickr.com/photo_zoom.gne?id=348320132&size=o

with the .la file, I have this:
http://www.flickr.com/photo_zoom.gne?id=348320133&size=o

I guess the 2 items mentioned by Remi which are indeed FE guidelines, may not be
applied here with this ksplash-engine-moodin package (if not they will break the
package).
Comment 8 Chitlesh GOORAH 2007-01-06 19:23:05 EST
In changelog:
- removed kdelibs-devel from BR wich is already required by kdebase-devel

There is a typo :)
"which" with a "h"
Comment 9 Johan Cwiklinski 2007-01-07 05:35:02 EST
Thanks :)

* Tue Jan 02 2007 Johan Cwiklinski <johan.cwiklinski@fedoraproject.org> 0.4.2-2
- using 'name' and 'version' macros for Source0
- corrected mispelling in changelog

SRPM URL :
http://odysseus.x-tnd.be/fedora/moodin/ksplash-engine-moodin-0.4.2-2.fc6.src.rpm
Comment 10 Sebastian Vahl 2007-01-11 06:06:15 EST
Hi. Some time ago I've made(*) a splash screen with the fc6 artwork. Perhaps 
it would be worth to think about an inclusion in the package? Otherwise just 
ignore this comment. :)

https://www.redhat.com/archives/fedora-art-list/2006-November/msg00145.html


* I'm not an artist. The screen works for me (tm) but surely needs some 
enhancement. :)
Comment 11 Chitlesh GOORAH 2007-01-12 14:13:58 EST
Hello Sebastin,
I don't think It should be integrated within this package "ksplash-engine-moodin".

but however you can create another package "ksplash-moodin-theme-MYTHEME.spec
for the themes on:

Johan Cwiklinski has been working on some themes for moodin as a seperate
package which depends on this "ksplash-engine-moodin".
see
http://odysseus.x-tnd.be/fedora/moodin/themes/ksplash-moodin-theme-curcuit.spec
as example.

Try to work on yours and ask for another review and add me in Cc: for that bug:)
Comment 12 Sebastian Vahl 2007-01-17 05:38:56 EST
(In reply to comment #11)
> Try to work on yours and ask for another review and add me in Cc: for that bug:)

ok, you're right. :) I will wait until this package is approved and then create
a single addon for it.
Comment 13 Chitlesh GOORAH 2007-02-25 09:11:08 EST
Ok, I'm sponsoring.
Comment 14 Chitlesh GOORAH 2007-02-26 17:56:31 EST
MUST Items:

- MUST: The package is named according to the Package Naming Guidelines.
- MUST: The package meets the Packaging Guidelines.
- MUST: The package is licensed (GPL) with an open-source compatible license and
meet other legal requirements as defined in the legal section of Packaging
Guidelines.
- MUST: The License field in the package spec file matches the actual license.
- MUST: the source package includes the text of the license(s) in its own file,
then that file, containing the text of the license(s) for the package is
included in %doc.
- MUST: The spec file must be written in American English.
- MUST: The sources used to build the package must matches the upstream source,
as provided in the spec URL.
- MUST: The package successfully compiles and builds into binary rpms on at
least i386.
- MUST: All build dependencies is listed in BuildRequires.
- MUST: The spec file handles locales properly.
- MUST: If the package does not contain shared library files located in the
dynamic linker's default paths
- MUST: the package is not designed to be relocatable
- MUST: the package owns all directories that it creates.
- MUST: the package does not contain any duplicate files in the %files listing.
- MUST: Permissions on files are set properly.
- MUST: The package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
- MUST: The package consistently uses macros, as described in the macros section
of Packaging Guidelines.
- MUST: The package contains code, or permissable content. This is described in
detail in the code vs. content section of Packaging Guidelines.
- MUST: There are no Large documentation files
- MUST: %doc does not affect the runtime of the application. To summarize: If it
is in %doc, the program must run properly if it is not present.
- MUST: The package does not contain library files with a suffix 
- MUST: Package containing GUI applications includes a %{name}.desktop file, and
that file must be properly installed with desktop-file-install in the %install
section.
- MUST: Package does not own files or directories already owned by other packages. 

SHOULD Items:

 - SHOULD: The source package does include license text(s) as COPYING
 - SHOULD: mock builds succcessfully in i386.
 - SHOULD: The reviewer tested that the package functions as described. A
package should not segfault instead of running, for example.
 - SHOULD: No scriptlets were used, those scriptlets must be sane. 
 - SHOULD: No subpackages present.

APPROVED!

Comment 15 Chitlesh GOORAH 2007-02-26 17:58:48 EST
Follow http://fedoraproject.org/wiki/CVSAdminProcedure for the CVS Request
procedure.

As we agreed, add me as your co-maintainer.
Comment 16 Johan Cwiklinski 2007-02-27 15:15:16 EST
New Package CVS Request
=======================
Package Name: ksplash-engine-moodin
Short Description: Moodin is a splash engine for KDE Desktop
Owners: johan@x-tnd.be, cgoorah@yahoo.com.au
Branches: FC-5 FC-6 devel
InitialCC:

Note You need to log in before you can comment on or make changes to this bug.